Runners
Get Runner
GET
cURL
Path Parameters
Runner identifier
Response
Fetch a runner
Available options:
Idle, Busy, Offline, Maintenance Required range:
x >= 0Required range:
x >= 0Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.example.com/runners/{runner_id}{
"capabilities": {
"cpu_cores": 1,
"gpu_available": true,
"max_concurrent_jobs": 1,
"memory_gb": 123,
"supported_simulation_types": [
"<string>"
],
"python_version": "<string>"
},
"current_jobs": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"id": "<string>",
"last_heartbeat": "2023-11-07T05:31:56Z",
"name": "<string>",
"registered_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"total_jobs_completed": 1,
"total_jobs_failed": 1,
"accepting_jobs": true,
"drain_reason": "<string>"
}Runner identifier
Fetch a runner
Show child attributes
Idle, Busy, Offline, Maintenance x >= 0x >= 0curl --request GET \
--url https://api.example.com/runners/{runner_id}{
"capabilities": {
"cpu_cores": 1,
"gpu_available": true,
"max_concurrent_jobs": 1,
"memory_gb": 123,
"supported_simulation_types": [
"<string>"
],
"python_version": "<string>"
},
"current_jobs": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"id": "<string>",
"last_heartbeat": "2023-11-07T05:31:56Z",
"name": "<string>",
"registered_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"total_jobs_completed": 1,
"total_jobs_failed": 1,
"accepting_jobs": true,
"drain_reason": "<string>"
}